Skip to main content
POST
/
embedded-banking
/
v1
/
disclosure-acceptances
Accept bank disclosures using an invitation token. Requires an application (APP) token.
curl --request POST \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/disclosure-acceptances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invitationToken": "<string>",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "acceptedAt": "2023-11-07T05:31:56Z",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Request model for accepting bank disclosures with an invitation token.

invitationToken
string
required

The invitation token for accepting disclosures.

userId
string<uuid>
required

The user ID accepting the disclosures.

Response

Disclosures accepted successfully.

Response model for disclosure acceptance.

acceptedAt
string<date-time>
required

The timestamp when the disclosures were accepted.

userId
string<uuid>
required

The user ID that accepted the disclosures.